Bug 624020 - Review Request: libbluedevil - A Qt wrapper for bluez
Summary: Review Request: libbluedevil - A Qt wrapper for bluez
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 627197
TreeView+ depends on / blocked
 
Reported: 2010-08-13 12:55 UTC by Jaroslav Reznik
Modified: 2011-01-24 21:00 UTC (History)
5 users (show)

Fixed In Version: libbluedevil-1.8-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 17:51:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thomasj: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2010-08-13 12:55:19 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/libbluedevil/libbluedevil.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/libbluedevil/libbluedevil-1.7-1.fc13.src.rpm
Description: libbluedevil is Qt-based library written to handle all Bluetooth functionality.

Comment 1 Kevin Kofler 2010-08-24 14:40:56 UTC
Uhm, %doc HACKING, really? Usually, HACKING is a document on how to develop the package itself, not useful for users of the package. Or is this one a (badly-named) document on how to develop WITH the library?

Comment 2 Jaroslav Reznik 2010-08-25 10:59:49 UTC
I wonder why it's included - one task on my big TODO list to be reported upstream.

Comment 3 Thomas Janssen 2010-09-13 07:34:35 UTC
[thomas@tusdell ~]$ rpmlint libbluedevil
libbluedevil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbluedevil.so.1.5 /lib64/libpthread.so.0
libbluedevil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbluedevil.so.1.5 /lib64/libm.so.6
libbluedevil.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

^^^^ installed libbluedevil

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
LGPLv2+
XX - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
md5sum 038bdc46b5b74e96fb178ec6ae9ed2d2
NN - Package needs ExcludeArch
OK - BuildRequires correct
NN - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
NN - .la files are removed.

NN - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
XX - No rpmlint output.
See above
and:
libbluedevil.src: W: spelling-error Summary(en_US) bluez -> blue, blues, bluer
libbluedevil.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
Still under heavy development, patches flying around, upstream is very responsive and fast.

Issues:
The two warnings about spelling error and no documentation can be ignored.

The above rpmlint output about unused-direct-shlib-dependency should be reported/asked upstream. None are blockers.

APPROVED

Comment 4 Jaroslav Reznik 2010-09-14 12:19:38 UTC
Thanks Thomas!

New Package SCM Request
=======================
Package Name: libbluedevil
Short Description: A Qt wrapper for bluez
Owners: jreznik than rdieter kkofler rnovacek thomasj
Branches: f13, f14
InitialCC:

Comment 5 Jens Petersen 2010-09-16 04:11:26 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-01-14 16:22:04 UTC
libbluedevil-1.8-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libbluedevil-1.8-3.fc14

Comment 7 Fedora Update System 2011-01-24 21:00:28 UTC
libbluedevil-1.8-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.